
ALTER TABLE najave ADD (id integer);

CREATE SEQUENCE najave_seq START WITH  1 INCREMENT BY   1 NOCACHE NOCYCLE;

Update najave set id=najave_seq.nextval;


ALTER TABLE najave ADD (
  CONSTRAINT najave_pk PRIMARY KEY (ID));

create or replace
TRIGGER najave_trg
BEFORE INSERT
ON najave
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
     IF (:NEW.ID IS NULL) THEN
          SELECT najave_seq.NEXTVAL INTO :NEW.ID  FROM dual;END IF;END;


insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(333, SYSDATE, '5.5', 253, 'kreiranje polja ID za najave');