alter table s_obracun
  modify opis varchar2(100);

ALTER TABLE NNPRIVEZ ADD IDPLOVILA1_2    NUMBER;

ALTER TABLE NNPRIVEZ ADD IDPLOVILA2_2    NUMBER;

ALTER TABLE NNPRIVEZ ADD DOLZINAMURINGA NUMBER;

ALTER TABLE NNPRIVEZ ADD DOVOLJENA_TEZA_PLOVILA  NUMBER;

ALTER TABLE NNPRIVEZ ADD VODA VARCHAR2(1);

ALTER TABLE NNPRIVEZ ADD ELEKTRIKA VARCHAR2(1);

ALTER TABLE NNPRIVEZ ADD TELEFON VARCHAR2(30);

ALTER TABLE NNPRIKLJ ADD ID_PRIVEZ NUMBER;

CREATE TABLE PLOVILABELEZKE (
ID_PLBELEZKE NUMBER NOT NULL,
IDPLOVILA NUMBER NOT NULL,
DATUMKREIRANJA DATE NOT NULL,
USERKREIRANJA VARCHAR2(20),
BELEZKA VARCHAR2(254),
VELJAVNA VARCHAR2(1) NOT NULL,
constraint PK_PLOVILABELEZKE primary key (ID_PLBELEZKE)
);

create index IX_PLOVILABELEZKE1 on PLOVILABELEZKE (IDPLOVILA);

CREATE TABLE KUPCIBELEZKE (
ID_KPBELEZKE NUMBER NOT NULL,
IDKUPCA NUMBER NOT NULL,
DATUMKREIRANJA DATE NOT NULL,
USERKREIRANJA VARCHAR2(20),
BELEZKA VARCHAR2(254),
VELJAVNA VARCHAR2(1) NOT NULL,
constraint PK_KUPCIBELEZKE primary key (ID_KPBELEZKE)
);

create index IX_KUPCIBELEZKE1 on KUPCIBELEZKE (IDKUPCA);

CREATE TABLE PRIVEZIBELEZKE (
ID_PRBELEZKE NUMBER NOT NULL,
ID_PRIVEZ NUMBER NOT NULL,
DATUMKREIRANJA DATE NOT NULL,
USERKREIRANJA VARCHAR2(20),
BELEZKA VARCHAR2(254),
VELJAVNA VARCHAR2(1) NOT NULL,
constraint PK_PRIVEZIBELEZKE primary key (ID_PRBELEZKE)
);

create index IX_PRIVEZIBELEZKE1 on PRIVEZIBELEZKE (ID_PRIVEZ);

create sequence SEK_ID_PLBELEZKE start with 1 increment by 1 nomaxvalue nocycle cache 20;
create sequence SEK_ID_KPBELEZKE start with 1 increment by 1 nomaxvalue nocycle cache 20;
create sequence SEK_ID_PRBELEZKE start with 1 increment by 1 nomaxvalue nocycle cache 20;


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (165, SYSDATE, '5.5', 85, 'EURO');