ALTER TABLE NAJAVE
MODIFY KOMENTAR VARCHAR2(4000 CHAR);

ALTER TABLE M_POGODBE
ADD EXTENSION_DATE DATE;

CREATE OR REPLACE VIEW V_POGODBE AS (
	SELECT P.ID_POGODBE AS V_POGODBE_ID, P.ID_POGODBE, P.ID_LASTNIKA, P.ID_PLOVILA, P.ID_MASTER, P.OBJEKT, P.N_PRIVEZA, P.N_POGODBE, P.DATUM_ZACETKA, P.DATUM_KONCA, P.PREDVIDENI_DATUM_KONCA, P.DATUM_KREIRANJA, P.USER_KREIRANJA,
  P.DATUM_SPREMEMBE, P.USER_SPREMEMBE, P.STATUS, P.DATUM_SKLENITVE, P.DATUM_PREKINITVE, P.KOMENTAR, P.TIP_POGODBE, P.EXTENSION_SEQUENCE_NUMBER, P.EXTENSION_DATE,
  NNSTAT.OPIS AS STATUS_OPIS, NNSTAT.INTERNI_OPIS AS STATUS_INTERNI_OPIS,
  KUPVRS.VRSTA AS CURRENT_KUPCI_VRSTA, PLOV.IME AS PLOVILA_IME, PLOV.PODALJSA AS PLOVILA_PODALJSA, KUP.IME AS KUPCI_IME, KUP.PRIIMEK AS KUPCI_PRIIMEK, NP.ID_PRIVEZ AS NNPRIVEZ_ID_PRIVEZ, NO.STORAGE AS NNOBJEKT_STORAGE,
  NNLOC.ID AS NNLOCATION_ID
	FROM M_POGODBE P
	LEFT OUTER JOIN NNSTATPOG NNSTAT ON P.STATUS = NNSTAT.SIFRA
  LEFT OUTER JOIN PLOVILA PLOV ON PLOV.ID = P.ID_PLOVILA
  LEFT OUTER JOIN KUPCI KUP ON KUP.ID = P.ID_LASTNIKA
  LEFT OUTER JOIN NNPRIVEZ NP ON P.OBJEKT = NP.OBJEKT AND P.N_PRIVEZA = NP.N_PRIVEZA
  LEFT OUTER JOIN NNOBJEKT NO ON NO.SIFRA = NP.OBJEKT 
  LEFT OUTER JOIN NNPOMOL NPOM ON NPOM.SIFRA = NP.KATEGORIJA
  LEFT OUTER JOIN NNLOCATION NNLOC ON NNLOC.ID = NPOM.NNLOCATION_ID
  LEFT OUTER JOIN (SELECT KUPCI_VRSTA.*, RANK() OVER (PARTITION BY ID_KUPCA ORDER BY ID_KUPCI_VRSTA DESC) RNK FROM KUPCI_VRSTA) KUPVRS ON (KUPVRS.ID_KUPCA = P.ID_LASTNIKA AND KUPVRS.RNK = 1)
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1313, SYSDATE, '5.5', 1233, 'Extension date')
;