CREATE TABLE M_POGODBE_LOKACIJA (
  ID_POGODBE_LOKACIJA NUMBER NOT NULL,
  ID_POGODBE NUMBER,
  ID_PRIVEZ NUMBER,
  DATUM_OD DATE,
  DATUM_DO DATE,
  DATUM_KREIRANJA DATE,
  USER_KREIRANJA VARCHAR2(30 CHAR),
  DATUM_SPREMEMBE DATE,
  USER_SPREMEMBE VARCHAR2(30 CHAR),
  CONSTRAINT MPL_POGODBE_LOKACIJA_PK PRIMARY KEY (ID_POGODBE_LOKACIJA)
);

CREATE SEQUENCE M_POGODBE_LOKACIJA_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE REZERVAC
ADD ID_POGODBE_LOKACIJA NUMBER;

CREATE TABLE M_POGODBE_LOKACIJA_PRIVEZ (
	ID_POGODBE_LOKACIJA_PRIVEZ NUMBER NOT NULL,
	ID_POGODBE_LOKACIJA NUMBER,
	ID_PRIVEZ NUMBER,
	CONSTRAINT MLP_POGODBE_LOKACIJA_PRIVEZ_PK PRIMARY KEY (ID_POGODBE_LOKACIJA_PRIVEZ)
);

CREATE SEQUENCE M_POGODBE_LOKACIJA_PRIVEZ_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(526, SYSDATE, '5.5', 446, 'Pogodbene lokacije');